﻿/* override container width for header and footer */
p {
    margin: 0;
    margin-block-end: 0 !important;
}

h6 {
    font-size: 16px !important;
}

label > p {
    font-size: 16px;
}

.required:after {
    content: ' *';
    color: var(--color-accent-2-aa);
}

.color-error {
    color: var(--color-error, #AE1338);
}

.sizing-tool-container {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.tooltip {
    opacity: 1 !important; /* Override Bootstrap's default opacity */
}

    .tooltip.show {
        opacity: 1 !important; /* Override Bootstrap's .tooltip.show opacity of 0.9 */
    }

    .tooltip .tooltip-inner {
        background-color: #fff !important;
        color: #000 !important;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15), 0 2px 4px rgba(0, 0, 0, 0.1) !important;
        border-radius: 6px !important;
        max-width: 300px !important;
        width: auto !important;
        text-align: left;
        opacity: 1 !important;
    }

    .tooltip.bs-tooltip-top .tooltip-arrow::before {
        border-top-color: #fff !important;
        filter: drop-shadow(0 2px 4px rgba(0, 0, 0, 0.1));
        opacity: 1 !important;
    }

    .tooltip.bs-tooltip-bottom .tooltip-arrow::before {
        border-bottom-color: #fff !important;
        filter: drop-shadow(0 -2px 4px rgba(0, 0, 0, 0.1));
        opacity: 1 !important;
    }

    .tooltip.bs-tooltip-start .tooltip-arrow::before {
        border-left-color: #fff !important;
        filter: drop-shadow(2px 0 4px rgba(0, 0, 0, 0.1));
        opacity: 1 !important;
    }

    .tooltip.bs-tooltip-end .tooltip-arrow::before {
        border-right-color: #fff !important;
        filter: drop-shadow(-2px 0 4px rgba(0, 0, 0, 0.1));
        opacity: 1 !important;
    }

@media screen and (prefers-color-scheme: dark) {
    .tooltip .tooltip-inner {
        background-color: #000 !important;
        color: #fff !important;
        box-shadow: 0 4px 8px rgba(255, 255, 255, 0.15), 0 2px 4px rgba(255, 255, 255, 0.1) !important;
        opacity: 1;
    }

    .tooltip.bs-tooltip-top .tooltip-arrow::before {
        border-top-color: #000 !important;
        filter: drop-shadow(0 2px 4px rgba(255, 255, 255, 0.1));
        opacity: 1;
    }

    .tooltip.bs-tooltip-bottom .tooltip-arrow::before {
        border-bottom-color: #000 !important;
        filter: drop-shadow(0 -2px 4px rgba(255, 255, 255, 0.1));
        opacity: 1;
    }

    .tooltip.bs-tooltip-start .tooltip-arrow::before {
        border-left-color: #000 !important;
        filter: drop-shadow(2px 0 4px rgba(255, 255, 255, 0.1));
        opacity: 1;
    }

    .tooltip.bs-tooltip-end .tooltip-arrow::before {
        border-right-color: #000 !important;
        filter: drop-shadow(-2px 0 4px rgba(255, 255, 255, 0.1));
        opacity: 1;
    }
}

.btn:hover {
    border: 1px solid !important;
}

.product-cta {
    display: flex !important;
    gap: 8px;
    align-items: center;
    width: fit-content;
    border-radius: 8px !important;
}

.radio-field {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.radio-options {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.radio-option {
    display: flex;
    align-items: center;
    gap: 8px;
}

.radio-label {
    font-size: 16px;
    font-weight: 325;
}

@media screen and (prefers-color-scheme: dark) {
    .radio-label {
        color: white;
    }
}

.sub-label {
    font-size: 14px;
}

input[type="radio"] {
    min-width: 1.5rem;
    min-height: 1.5rem;
    cursor: pointer;
    appearance: none;
    outline: 2px solid var(--color-accent-2);
    border: 3px solid var(--color-background);
    background-color: var(--color-background);
    border-radius: var(--border-radius-half);
    transition: background-color .8s;
}

    input[type="radio"]:checked {
        accent-color: var(--color-secondary);
        appearance: none;
        outline: 2px solid var(--color-accent-2);
        border: 3px solid var(--color-background);
        background-color: var(--color-secondary);
    }

    input[type="radio"].invalid {
        outline: 2px solid var(--color-error, #AE1338);
    }

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

input[type="radio"]:checked {
    animation: fadeIn 1s forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

input[type=text], input[type=number] {
    display: flex;
    height: 50px;
    padding: 0 15px;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    border-radius: 8px;
    border: 1px solid var(--color-neutral-light, #E3E4E6);
    background: var(--color-background, #FFF);
}

    input[type=number]::-webkit-inner-spin-button,
    input[type=number]::-webkit-outer-spin-button {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        margin: 0;
    }

input[type=checkbox] {
    width: 24px;
    height: 24px;
}

.dropdown-field {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.select-dropdown {
    height: 50px;
    padding: 0 15px;
    border-radius: 8px !important;
    border: 1px solid var(--color-neutral-light, #E3E4E6);
    /*background: var(--color-background, #FFF);*/
}

.two-col-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 32px;
}

@media (max-width: 768px) {
    .two-col-grid {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}

.three-col-grid {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 32px;
}

@media (min-width: 769px) and (max-width: 992px) {
    .three-col-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (max-width: 768px) {
    .three-col-grid {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}

.btn-section {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 768px) {
    .btn-section {
        flex-direction: column-reverse;
        gap: 16px;
    }
}

.back-btn {
    display: flex;
    height: 48px;
    padding: 24px;
    justify-content: center;
    align-items: center;
    gap: 16px;
    border-radius: 8px;
    border: 2px solid var(--color-gradient, #049F83);
    background: transparent;
}

.continue-btn {
    display: flex;
    height: 48px;
    padding: 24px;
    justify-content: center;
    align-items: center;
    align-self: end;
    gap: 16px;
    border-radius: 8px;
    border: none;
    background: var(--color-gradient, linear-gradient(180deg, #049F83 0%, #0074C8 100%));
}

.rcmd-info-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 24px 40px;
    gap: 16px;
    border-radius: 12px;
    background: var(--color-neutral-bright, #F4F4F5);
}

.project-info-det {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    width: 100%;
    /*display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;*/
}

@media (min-width: 769px) and (max-width: 992px) {
    .project-info-det {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 32px;
    }
}

@media (max-width: 768px) {
    .project-info-det {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        gap: 32px;
    }
}

.rcmd-cta {
    display: flex;
    flex-direction: row;
    gap: 16px;
}

.rcmd-info-property {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.print-summary-section {
    display: flex;
    flex-direction: row;
    justify-content: end;
    gap: 8px;
}

@media (max-width: 768px) {
    .print-summary-section {
        flex-direction: column;
        gap: 16px;
    }
}

.tooltip-label {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: baseline;
    gap: 8px;
}

.interceptor-img {
    height: 300px;
    width: 300px;
}

.interceptor-info {
    display: flex;
    flex-direction: row;
}

@media (max-width: 992px) {
    .interceptor-info {
        flex-direction: column;
    }
}

.interceptor-details {
    display: flex;
    flex-direction: column;
    padding: 0px 24px 16px 24px;
}

@media (max-width: 992px) {
    .interceptor-details {
        padding: 16px 24px 16px 24px;
    }
}

.product-result-cta {
    display: flex;
    flex-direction: row;
    gap: 16px;
}

@media (max-width: 768px) {
    .product-result-cta {
        flex-direction: column;
    }
}

@media (max-width: 768px) {
    .recommended-product-page {
        margin-top: 3rem;
    }
}

.interceptor-sizing-tool-header {
    background-image: none;
    background-size: cover;
    background: linear-gradient(90deg, #375167 0%, #005995 50%, #0074C8 100%);
}

a.pdp-link {
    text-decoration: none;
    color: white !important;
}

    a.pdp-link:hover {
        color: #313149 !important;
    }

@media (prefers-color-scheme: dark) {
    a.pdp-link {
        color: white !important;
    }

        a.pdp-link:hover {
            color: var(--color-primary-lighter) !important;
        }
}

.result-back-area {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
}

    .result-back-area > h6 {
        margin: 0;
        text-decoration: underline;
    }

.back-arrow-btn {
    color: var(--color-secondary);
}

@media (prefers-color-scheme: dark) {
    .back-arrow-btn {
        color: var(--color-secondary-dark);
    }
}

.input-change-btn {
    font-size: 200%;
}

@media (min-width: 769px) and (max-width: 992px) {
    .input-change-btn {
        margin: 0px 12px;
        font-size: 300% !important;
    }
}

@media (max-width: 768px) {
    .input-change-btn {
        margin: 0px 12px;
        font-size: 250% !important;
    }
}
